/*
Theme Name:   BuildingEase
Description:  BuildingEase.com website theme
Author:       BuildingEase.com
Author URL:   BuildingEase.com
Template:     overlay
Version:      1.1.2
License:      GNU General Public License v2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
Text Domain:  BuildingEase
*/

/* ---- Fonts ---- */
@font-face {
	font-family: 'Roboto';
	src: url('assets/fonts/Roboto-Regular.ttf') format('truetype');
	font-weight: 400;
	font-style: normal;
	font-display: swap;
}

html {
	--color--primary: #127CBA;
	--color--secondary: #F4B700;
}

body {
	overflow-x: hidden;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

body .site-container {
	max-width: 1600px !important;
}

/* ---- Default Fonts ---- */
body {
	font-family: 'Roboto', sans-serif !important;
}
.site-title, h1, h2, h3, h4, h5, h6 {
	font-family: 'Poppins', sans-serif !important;
}

.d-none {
	display: none !important;
}

@media (max-width: 980px) {
    .menu-main-menu-container .main-menu-close::after {
        margin: 0 0 0 -3px;
    }
    .site-container .menu-toggle {
        color: #fff;
    }
}

@media (max-width: 500px) {
    .wp-block-image figure.alignright,
    .wp-block-image figure.alignleft {
        float: none;
        margin: .5em auto;
    }
}

/* sticky header */
.site-header-inner {
	padding: 10px 20px;
}
#masthead {
	position: sticky;
	top: 0;
	z-index: 10;
}
.main-navigation {
	box-shadow: none;
	border: 5px solid var(--color--secondary);
	background-color: var(--color--primary);
	text-transform: uppercase;
}
.main-navigation li a {
	color: #fff;
	font-weight: bold;
}
.main-navigation li a:hover,
.main-navigation li a:focus {
	color: #fff;
    text-decoration: underline;
    text-underline-offset: 6px;
}

.home-hero .wp-block-cover__inner-container {
	padding-top: 6%;
}
@media (min-width: 1200px) {
	.home-hero {
		aspect-ratio: 21 / 8;
	}
}
.entry-content > .wp-block-cover.alignfull:first-child {
	margin-block: -40px -32px;
}

/* sane ul/ol */
ul, ol {
	display: block;
	margin: 1em 0;
	padding: 0 0 0 40px;
}
ul {
	list-style-type: disc;
}

.entry-content ol li,
.entry-content ul li {
	margin-bottom: 1em;
}

/* fontawesome icon */
.h-icon.fa-stack {
	text-align: center;
	margin: 0 auto;
	width: 100%;
}
.h-icon.fa-stack .h-icon {
	font-size: 1.5rem;
}
.h-icon.fa-stack .h-icon-top {
	position: relative;
	top: -42px;
}
.h-icon.fa-stack .h-icon-bottom {
	position: relative;
	top: 12px;
}

/* full-width blocks */
.alignwide,
.alignfull {
	margin: 32px calc(50% - 50vw);
	max-width: 100vw;
	width: 100vw;
}

@media (max-width: 920px) {
    .wp-block-cover.alignwide,
	.wp-block-group.alignwide {
		margin: 32px auto;
		max-width: 920px;
		width: 100%;
	}
}

/* quote */
.wp-block-quote {
	margin: 1em;
	padding: 1em;
	background: #efefef;
}
.wp-block-quote p:before {
	content: '“';
	display: inline-block;
	font-size: 2rem;
	line-height: 1;
	position: relative;
	top: .2em;
	margin-top: -.2em;
	margin-right: 0.1em;
}

.wp-block-quote p:after {
	content: '”';
	display: inline-block;
	font-size: 2rem;
	line-height: 1;
	position: relative;
	top: .2em;
	margin-top: -.2em;
}

.wp-block-quote:nth-of-type(odd) {
	border-left: 5px solid var(--color--primary);
}
.wp-block-quote:nth-of-type(even) {
	border-right: 5px solid var(--color--primary);
}

.yellow-border {
	border: 5px solid var(--color--secondary);
}
.yellow-border h1,
.yellow-border h2,
.yellow-border h3,
.yellow-border h4 {
	margin-bottom: 0;
}

.wp-block-column.is-vertically-aligned-bottom figure,
.wp-block-column.is-vertically-aligned-center figure,
.wp-block-column.is-vertically-aligned-top figure {
    margin-block: 0;
}

/* buttons */
.wp-block-button a.wp-block-button__link:not(.has-text-color) {
	color: #fff;
}

/* tabs */
.tab-buttons {
    gap: 12px;
}
.tab-buttons h3 {
    font-size: 1.35rem;
}
.tab-buttons a[data-anchor] {
    text-decoration: none;
	border-radius: 6px;
	border: 2px solid var(--color--primary);
	background-color: #fff;
	color: var(--color--primary);
	opacity: 1;
	display: inline-block;
	padding: 2px 6px;
}
.tab-buttons a[data-anchor]:hover,
.tab-buttons a[data-anchor]:focus {
	color: #fff;
	background-color: var(--color--primary);
	opacity: 1;
}
.tab-link-active a[data-anchor] {
	color: #fff;
	background-color: var(--color--primary);
	opacity: 1;
}
.tab-placeholder-content {
    transition: opacity .25s ease;
}
.tab-placeholder-content.tab-placeholder-hidden {
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    opacity: 0;
    pointer-events: none;
}
.tab-content-group {
    position: relative;
}
.tab-content {
    position: relative;
    transition: opacity .25s ease;
}

.tab-content.tab-hidden {
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    opacity: 0;
    pointer-events: none;
}
